%define         rel 014
Summary:	Library for reading lines from a terminal
Name:		readline
Version:	5.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz
Source1:	%{name}-sys_inputrc
Source2:	%{name}-%{version}.%{rel}-patches.tar.bz2
Patch5: 	readline-4.3-no_rpath.patch
Patch6: 	readline-wrap.patch
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc

%description
The "readline" library will read a line from the terminal and return
it, allowing the user to edit the line with the standard emacs editing
keys. It allows the programmer to give the user an easier-to-use and
more intuitive interface.

wget -r ftp://ftp.gnu.org/gnu/readline/readline-5.2-patches/

%package 	devel
Summary:	file for developing programs that use the readline library
Group:		Development

%description 	devel
The "readline" library will read a line from the terminal and return
it, using prompt as a prompt. If prompt is null, no prompt is issued.
The line returned is allocated with malloc(3), so the caller must free
it when finished. The line returned has the final newline removed, so
only the text of the line remains.

%prep
%setup -q -a2
# Official Readline patches.
for i in %{name}-%{version}.%{rel}-patches/readline*; do
        patch -p0 -s < $i
done

%build
autoconf
%configure --enable-multibyte --enable-nls --without-included-gettext
make all shared

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
%{__make} DESTDIR=$RPM_BUILD_ROOT install
                                                                                
mv -f $RPM_BUILD_ROOT%{_libdir}/libhistory.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libreadline.so* $RPM_BUILD_ROOT/lib
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../../lib/* .
chmod 755 $RPM_BUILD_ROOT/lib/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/*so*

%clean
rm -rf $RPM_BUILD_ROOT

%files                                                                          
%defattr(-,root,root)                                                           
/lib/*.so*
/usr/lib/*.so*
/usr/man

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/include
